Package org.apache.sling.distribution.journal.impl.precondition

# Interface Precondition

All Known Implementing Classes:
  `DefaultPrecondition`, `StagingPrecondition`

public interface Precondition
Extension point for checking if a package can be processed by a subscriber.

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static enum`
`Precondition.Decision`

## Method Summary

Modifier and Type
Method
Description
`Precondition.Decision`
`canProcess(String subAgentName, long pkgOffset)`
Checks if a package can be processed

## Method Details

### canProcess

Precondition.Decision canProcess(String subAgentName, long pkgOffset)
Checks if a package can be processed